{% extends "general/base2.html"%}
{%load static%}
{% block title%} {{titulo}} {% endblock %}

{%block content%}
{%load static%}
{% load widget_tweaks %} 
<link rel="stylesheet" href="{% static 'select2/select2.min.css' %}">

{% include "accesopublico/navPrincipal.html" %}

<!--Content right-->
<div class="col-sm-9 col-xs-12 content pt-3">
   <div class="row align-items-center py-3">
      <div class="col-lg-8 col-xl-9 text-center text-lg-left">
         <h5 class="mb-3"><strong>CONTROL - GENERAL</strong></h5>
      </div>   
</div>
   <div class="row mt-0">
      <div class="col-sm-12 pr-4">
         <!--Striped table-->
         <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2 rounded-xl shadow-s align-items-center">
            <h6 class="mb-2">  </h6>

            <div class="col-lg-12" >
                        
                <div class="pb-3 mb-3 ">
                            <!--Order Listing-->
                    <div class="product-list">
                        
                        <div class="row mb-4">
                            <div class="col-sm-8 pt-2"><h6 class="mb-4 bc-header">Llista de Departamentos</h6></div>
                            <div class="col-sm-4 text-right pb-3">
                                <button class="btn btn-primary"><i class="fas fa-plus"></i> Agregar</button>
                                {% comment %} 
                                <button type="button" class="btn btn-danger icon-round shadow pull-right">
                                    <i class="fas fa-trash"></i>
                                </button>

                                <div class="pull-right mr-3 btn-order-bulk">
                                    <select class="shadow bg-secondary bulk-actions">
                                        <option data-display="<span class='text-white'><b>Bulk status</b></span>">Status options</option>
                                        <option value="1">Pending</option>
                                        <option value="2">Cancelled</option>
                                        <option value="4">Delivered</option>
                                    </select>
                                </div>

                                <div class="clearfix"></div>{% endcomment %}
                            </div> 

                        </div>
                        
                        <div class="table-responsive">
                            
                            <table class="table table-bordered  mt-3 content-center" id="tablas">
                                <thead bg-primary>
                                    <tr>
                                        <th style="width: 10px;" class="p-0 pr-4 align-middle">
                                            <div class="form-check-box cta">
                                                <span class="color1">
                                                    <input type="checkbox" id="orderAll">
                                                    <label for="orderAll"></label>
                                                </span>
                                            </div>
                                        </th>
                                        <th> No. </th>
                                        <th> Codigo </th>
                                        <th> Nombre </th>
                                        <th > Acciones </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for d in departamento %}
                                    <tr>
                                        <td style="width: 10px;" class="p-0 pr-1 align-middle">
                                            <div class="form-check-box cta">
                                                <span class="color1">
                                                    <input type="checkbox" id="{{d.codigo}}">
                                                    <label for="{{d.codigo}}"></label>
                                                </span>
                                            </div>
                                        </td>
                                        <td>{{forloop.counter}}</td>
                                        <td>{{d.codigo}}</td>
                                        <td class="align-middle">
                                            {{d.nombre}}
                                        </td>
                                        <td class="align-middle text-center">
                                            <a href="edicionDep/{{d.id}}"><button class="btn btn-success" data-toggle="modal" data-target="#editarDep"><i class="fa fa-pen"></i></button></a>
                                            <a href="eliminacionDepa/{{d.id}}"><button class="btn btn-danger"><i class="fas fa-trash"></i></button></a>
                                        </td>
                                    </tr>
                                    {% endfor%}
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!--/Order Listing-->
                    
                    <!--Order Info Modal-->
                    <div class="modal fade" id="editarDep" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5>
                                    Agregar Departamentos</h5>
                                </div>
                                <div class="modal-body">
                                    <div class="form-row">
                                        <form action='' id="formularioDepartamento" enctype="multipart/form-data" method="POST">
                                        {% csrf_token %}
                                        <input type="hidden" name="id" value="{{departamento.id}}">
                                            <div class="col-md-4 align-items-center align-items-center">
                                                <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                                    <div class="input-group-inner">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text input-group-icon"><i class="fas fa-circle"></i></span>
                                                        </div>
                                                        <input type="text" id="txtCodigo" name="txtCodigo" value="{{departamento.codigo}}" class="form-control" placeholder="Codigo" autofocus required>
                                                        <div class="input-focus-bg"></div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-5 align-items-center align-items-center">
                                                <div class="input-group input-group-lg input-group-round mb-4 pr-md-2 align-items-center">
                                                    <div class="input-group-inner">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text input-group-icon"><i class="fa fa-i-cursor"></i></span>
                                                        </div>
                                                        <input type="text" id="txtNombre" name="txtNombre" value="{{departamento.nombre}}" class="form-control" minlength="3" maxlength="30" placeholder="Nombre" autofocus required>
                                                        <div class="input-focus-bg"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                        <h5 class="font-weight-700 section-title-4 text-left pb-2">
                            Municipio
                              <div class="title-divider-round"></div>
                          </h5>
                          <form action='' enctype="multipart/form-data" method="POST">
                              
                            {% comment %} {% csrf_token %}
                          <h5 class="font-weight-700 section-title-4 text-left pb-2">
                            Municipio
                              <div class="title-divider-round"></div>
                          </h5>

                            <div class="form-row align-items-center">
                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form.departamento.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            {% render_field form.departamento class="form-control form-control-lg" type="select"  %}
                                            <div class="input-focus-bg"></div>
                                            {{form.departamento.errors}}
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form.municipio.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            {% render_field form.municipio class="form-control form-control-lg" type="select"  %} 
                                            <div class="input-focus-bg"></div>
                                            {{form.municipio.errors}}
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form.aldea.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            {% render_field form.aldea class="form-control form-control-lg" type="select"  %} 
                                            <div class="input-focus-bg"></div>
                                            {{form.aldea.errors}}
                                        </div>
                                    </div>
                                </div>
                            
                                <div class="col-md-6">
                                    <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                        <label class="text-uppercase">{{ form.direccion_completa.label }}:</label>
                                        <div class="input-group-inner">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text input-group-icon"><i class="fas fa-map-marker-alt"></i></span>
                                            </div>
                                            {% render_field form.direccion_completa class="form-control form-control-lg" placeholder="Ubicacion para correspondencia, ej: Tegucigalpa M.D.C`" %} 
                                            <div class="input-focus-bg"></div>
                                            {{form.direccion_completa.errors}}
                                        </div>
                                    </div>
                                </div>
                        </div> {% endcomment %}
                    </form>

                        <h5 class="font-weight-700 section-title-4 text-left pb-2">
                            Aldea
                            <div class="title-divider-round"></div>
                        </h5>

                        <form action='' enctype="multipart/form-data" method="POST">
                            <h5 class="font-weight-700 section-title-4 text-left pb-2">
                                Aldea
                                <div class="title-divider-round"></div>
                            </h5>
                        {% comment %} {% csrf_token %}
                        <div class="form-row align-items-center"> 
                            <div class="col-md-3">
                                <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                    <label class="text-uppercase">{{ form.en_funcionamiento.label }}:</label>
                                    <div class="input-group-inner">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text input-group-icon"><i class="fa fa-briefcase"></i></span>
                                        </div>
                                        {% render_field form.en_funcionamiento type="checkbox" class="form-control form-control-lg"%}
                                        <div class="input-focus-bg"></div>
                                        {{form.en_funcionamiento.errors}}
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="input-group input-group-lg input-group-round mb-4 pl-md-2">
                                    <label class="text-uppercase">{{ form.en_funcionamiento_anio.label }} que inicio funcionamiento:</label>
                                    <div class="input-group-inner">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text input-group-icon"><i class="fa fa-calendar"></i></span>
                                        </div>
                                        {% render_field form.en_funcionamiento_anio type="date" class="form-control form-control-lg"%}
                                        <div class="input-focus-bg"></div>
                                        {{form.en_funcionamiento_anio.errors}}
                                    </div>
                                </div>
                            </div>



                    </div> {% endcomment %}
                        </form>
                        
                </div>

                

            </div>
          
         </div>
         <!--/Striped table-->
      </div>
   </div>
    <!--GO TO THE TOP-->
  <div class="go-to-top go-top-fadeInRight">
    <a href="#" class="rounded-circle"><i class="fas fa-chevron-up"></i></a>
</div>
</div>

    <!--Datatable-->
    <script src="{% static 'Sleekadmin/assets/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'Sleekadmin/assets/js/dataTables.bootstrap4.min.js' %}"></script>

    
    <!--Custom Js Script-->
    <script>
        //Order list dataTable
        $("#tablas").DataTable();
        //Nice select
        $('.bulk-actions').niceSelect();
    </script>
{% include "general/footer.html" %}
<script type="text/javascript" src="{% static 'select2/select2.min.js' %}"></script>
{%endblock%}